# vim:set ft=sh et:
# Maintainer : BlackEagle < ike DOT devolder AT gmail DOT com >
# Contributor: Thomas Baechler <thomas@archlinux.org>

_pkgname=nvidia
pkgname=$_pkgname-535xx-bede
pkgver=535.216.01
_current_linux_version=6.12.1
_next_linux_version=6.13
pkgrel=10
pkgdesc="NVIDIA drivers for linux-bede, 535xx legacy branch"
arch=('x86_64')
url="http://www.nvidia.com/"
makedepends=(
    "linux-bede>=$_current_linux_version"
    "linux-bede-headers>=$_current_linux_version"
    "linux-bede<$_next_linux_version"
    "linux-bede-headers<$_next_linux_version"
    "nvidia-535xx-dkms=$pkgver"
)
provides=('NVIDIA-MODULE')
license=('custom')
options=(!strip)

# in case we need to do some patching
#build() {
    #_kernver="$(cat /usr/src/linux-bede/version)"

    ## dkms need modification to be run as user
    #cp -Lr /var/lib/dkms .
    #echo "dkms_tree='$srcdir/dkms'" > dkms.conf

    #(
        #cd dkms/$_pkgname/${pkgver}/source
        #patch -Np1 -i "$srcdir/linux-5.11.patch"
    #)
    ## build host modules
    #if ! dkms --dkmsframework dkms.conf build "$_pkgname/${pkgver}" -k "$_kernver"; then
        #cat dkms/nvidia/${pkgver}/build/make.log
        #return 1
    #fi
#}

package() {
	depends=(
        "linux-bede>=$_current_linux_version"
        "linux-bede<$_next_linux_version"
        "nvidia-535xx-utils=$pkgver"
        "libglvnd"
    )

    local kernver=$(</usr/src/linux-bede/version)
    local extradir="/usr/lib/modules/$kernver/extramodules"
    # output dkms log for easier debugging
    if [[ -f "/var/lib/dkms/nvidia/${pkgver}/build/make.log" ]]; then
        cat "/var/lib/dkms/nvidia/${pkgver}/build/make.log"
    elif [[ -f "/var/lib/dkms/nvidia/${pkgver}/${kernver}/log/make.log" ]]; then
        cat "/var/lib/dkms/nvidia/${pkgver}/${kernver}/log/make.log"
    fi

    install -dm755 "${pkgdir}${extradir}/$_pkgname"
    cp -a "/var/lib/dkms/$_pkgname/kernel-$kernver-x86_64/module"/* \
        "${pkgdir}${extradir}/$_pkgname/"
    # local home dkms
    #cp -a "$srcdir/dkms/$_pkgname/$pkgver/$kernver/x86_64/module"/* \
        #"${pkgdir}${extradir}/$_pkgname/"

    install -dm755 "$pkgdir/usr/lib/modprobe.d"
    echo "blacklist nouveau" >> "$pkgdir/usr/lib/modprobe.d/$pkgname.conf"
    echo "blacklist nvidiafb" >> "$pkgdir/usr/lib/modprobe.d/$pkgname.conf"
}

